# Sapphirecode ESLint configuration

Javascript coding standard used by Sapphirecode

## Installation

to install this module you have to add the following line to your .npmrc

```npmrc
@scode:registry=https://npm.scode.ovh
```

then install the module and eslint

```sh
npm i --save-dev @scode/eslint-config eslint
```

then create a file named .eslintrc.js with the following contents.

it is a basic configuration, it can be customized to your preferences.

```js
module.exports = {
  env: {
    commonjs: true,
    es6: true,
    node: true
  },
  extends: [
    '@scode'
  ]
}
```
  
after that you can run eslint.
